
<<?php echo esc_attr($settings['title_tag']); ?> class="rivax-advanced-heading-tag">
<span class="rivax-advanced-heading-wrap" data-background-text="<?php echo esc_attr( $settings['background_text']); ?>">
    <?php if($settings['heading_one']): ?>
    <span class="rivax-advanced-heading-one"><?php echo esc_html( $settings[ 'heading_one' ]) ; ?></span>
    <?php endif; ?>
    <?php if($settings['heading_two']): ?>
    <?php
    $text_two_CLS = '';
    if($settings['text_two_gradient']) { $text_two_CLS .= ' gradient-heading'; }
    if($settings['text_two_animated']) { $text_two_CLS .= ' animated-heading'; }
    ?>
    <span class="rivax-advanced-heading-two<?php echo esc_attr($text_two_CLS); ?>"><?php echo  esc_html($settings[ 'heading_two' ]) ; ?></span>
    <?php endif; ?>
    <?php if($settings['heading_three']): ?>
    <span class="rivax-advanced-heading-three"><?php echo  esc_html($settings[ 'heading_three' ]) ; ?></span>
    <?php endif; ?>
    <span class="rivax-advanced-heading-border"></span>
</span>
<?php
if ( ! empty( $settings['link']['url'] ) ) {
    $this->add_link_attributes( 'link', $settings['link'] );
    $this->add_render_attribute('link', 'class', "rivax-advanced-heading-link");

    echo '<a ';
    $this->print_render_attribute_string( 'link' );
    echo '></a>';
}
?>
</<?php echo esc_attr($settings['title_tag']); ?>>